// Example402B
// another CRGB calibration
// H. Kawakami, June 2016

#include "FastLED.h"

#define NUM_LEDS 1 
#define PIN 12 

CRGB leds[NUM_LEDS];
int br=25;

void setup(){
  delay(2000);
  FastLED.addLeds<WS2811, PIN, RGB>(leds, NUM_LEDS);
}

void loop() { 
  for(int i = 0; i < 4; i++) {
      memset(leds, 0, NUM_LEDS * 3);
      switch(i) { 
        case 0: leds[0].setRGB(br, 0, 0); break;
        case 1: leds[0].setRGB(0, br, 0); break;
        case 2: leds[0].setRGB(0, 0, br); break;
        case 3: leds[0].setRGB(br, br, br); break;
        default: break;
      }
      FastLED.show();
      delay(1000);
  }
}

