// Example404B
// Color setting by Hue
// H. Kawakami, June 2016

#include "FastLED.h"

const int NUM_LEDS = 1;
const int DATA_PIN = 12;
CRGB leds[NUM_LEDS];

void setup() {
  delay(2000);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
  for (int i=0; i < 256; i++) {
    fill_solid(&(leds[0]), NUM_LEDS, CHSV(i, 150, 150));
    FastLED.show();
    delay(50);
  }
}

