//
// Example405C: HSVTestWithSensor00
// Led color test for HSV(Hue, Saturation, Value) 
// TapeLED:
// Sensor = A0: Photo transistor
// H. Kawakami, June, 2016 

#include "FastLED.h"

#define NUM_LEDS 1
#define DATA_PIN 12
#define SENSOR_PIN 0

CRGB leds[NUM_LEDS];
int sensor;

void setup() {
  delay(2000);
  Serial.begin(9600);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
  sensor=analogRead(SENSOR_PIN);
  Serial.println(sensor);
  sensor=map(sensor, 1023, 0, 0, 255);
  Serial.println(sensor);
  fill_solid(&(leds[0]), NUM_LEDS, CHSV(sensor, 255, 150));
  FastLED.show();
//  delay(10);   
}
