// Example 401B  simple blink example
// different kind of color setting
// The predefined colors list is found at:
// https://github.com/FastLED/FastLED/wiki/Pixel-reference 
// H. Kawakami, June 2016

#include <FastLED.h>

#define NUM_LEDS 1
#define DATA_PIN 12

CRGB leds[NUM_LEDS];

void setup() {
  delay(2000);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
//    leds[0].setRGB(255, 68, 221);
//    leds[0]=CRGB(255, 68, 221);
//    leds[0].r=255; leds[0].g=68; leds[0].b=221;
//    leds[0]=CRGB::HotPink;
//    leds[0]=0xFF44DD;
    fill_solid(&(leds[0]), 1,  CRGB(255, 68, 221));
    FastLED.show();
    delay(1000);

    leds[0].setRGB(0, 0, 0);
    FastLED.show();
    delay(1000);
}
