// Example 403A  simple blink by HSV color setting
// see https://github.com/FastLED/FastLED/wiki/Controlling-leds
// H. Kawakami, June 2016

#include <FastLED.h>

#define NUM_LEDS 1
#define DATA_PIN 12

CRGB leds[NUM_LEDS];

void setup() {
  delay(2000);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
    leds[0].setHSV(221, 51, 120);
//    leds[0]=CHSV(221, 51, 120);
//    leds[0].setHue(221);
//    fill_solid(&(leds[0]), 1,  CHSV(221, 51, 120));
    FastLED.show();
    delay(1000);

    leds[0].setHSV(0, 0, 0);
    FastLED.show();
    delay(1000);
}
