/* Example404C
 * temperature indicator
 */
#include <FastLED.h>

#define NUM_LEDS 1
#define DATA_PIN 12

CRGB leds[NUM_LEDS];

const int inPin=0;
float vo, temp, tmin=25.0, tmax=28.0, tm;

void setup() {
  Serial.begin(9600);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
  tm=tmax-tmin;
}

void loop() {
  int data=analogRead(inPin);
  Serial.println(data); 
  vo=data*3.3/1024.0;
  temp=(1000.0*vo-600.0)/10.0;
  temp=constrain(temp, tmin, tmax);
  Serial.println(temp);
  leds[0].setRGB(255*(temp-tmin)/tm, 255*(tmax-temp)/tm, 0);
  FastLED.show();
  delay(1000); 
}
